Bug 506726 - getting "Permission error" with link from Channels -> Manage Software Channels page
getting "Permission error" with link from Channels -> Manage Software Channel...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Shannon Hughes
Preethi Thomas
: Regression
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-06-18 09:44 EDT by Jan Hutař
Modified: 2009-09-10 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-06-18 09:44:26 EDT
Description of problem:
I have created child channel with rhel-x86_64-server-5 as it parrent and when I go to Channels -> Manage Software Channels, I see:

Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)
 └─ jhutar-bz498343-5-x86_64

And now when I click on the rhel-x86_64-server-5, I get:

https://pipa02.englab.brq.redhat.com/rhn/channels/manage/Edit.do?cid=101
Permission Error.
You do not have the appropriate permission set to access the requested page. You may have reached this error page in one of several ways:
[...]


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090612.0-x86_64


How reproducible:
always


Steps to Reproduce:
1. create custom child channel
2. go to Channels -> Manage Software Channels
3. click on it's parrent (in my case rhel-x86_64-server-5)


Actual results:
Permission Error


Expected results:
a) there should be no link in the view, so I can not click on the channel I can not administer
- OR -
b) some page should appear saying "You can not edit Red Hat channels, you can go to it's details"


Additional info:
I'm logged in as a admin (first user), so message "Permission Error" might be confusing.
Comment 1 Shannon Hughes 2009-06-18 12:40:21 EDT
good catch...this page was ported from perl and i suspect the port forgot to unlink null org owned channels.
Comment 2 Shannon Hughes 2009-06-18 12:53:13 EDT
fixed, 


9bbd921bb198ab7104b359c4032a2057467051ae
Comment 3 Shannon Hughes 2009-06-19 11:49:17 EDT
mass move to onqa
Comment 4 Preethi Thomas 2009-06-23 16:01:42 EDT
verified
6/19 iso
Comment 5 Preethi Thomas 2009-08-04 14:12:24 EDT
Release Pending
test1182.test.redhat.com
Comment 6 Brandon Perkins 2009-09-10 15:49:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.